﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Service
Version=3.82
@EndOfDesignText@
#Region  Service Attributes 
	#StartAtBoot: False
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	Dim nativeMe 		As JavaObject
	Dim n2				As Notification
	Dim n2ID			As Int = 16
End Sub
Sub Service_Create
	Service.AutomaticForegroundMode = Service.AUTOMATIC_FOREGROUND_NEVER
	n2.Initialize
	nativeMe.InitializeContext
End Sub

Sub Service_Start (StartingIntent As Intent)
	'NotifyIcon(True)
	Service.StartForeground(n2ID,CreateNotification("App Updater Example","New Application Download","ic_cloud_download_white_24dp",Main,False,False))
	'Service.StopAutomaticForeground
End Sub

Sub Service_Destroy
	'NotifyIcon(False)
End Sub


Private Sub CreateNotification(Title As String, Content As String, Icon As String, TargetActivity As Object, Sound As Boolean, Vibrate As Boolean) As Notification
	Dim p As Phone
	If p.SdkVersion >= 26 Then
		'Process_Globals
		Private nb As NotificationBuilder
		Private Channel As NotificationChannelBuilder 'New object
		Private ChannelID As String = "Boo_Name" '"Channel_1"
		Private ChannelName As String = "Boo Name"
		'Code in Sub
		If Channel.ChannelsSupported Then
			Channel.Initialize(ChannelID, ChannelName, Channel.IMPORTANCE_HIGH)
			Channel.EnableLights = True
			Channel.EnableVibration = True
			Log(Channel.CanShowBadge)
			Channel.Build
			nb.Initialize(Channel.ID)
		Else
			nb.Initialize(Null)
		End If
		nb.OnGoingEvent = True
		nb.DefaultSound = Sound
		nb.DefaultVibrate = Vibrate
		nb.DefaultLight = False
		nb.ContentTitle = Title
		nb.ContentText = Content
		nb.setActivity(TargetActivity)
		nb.SmallIcon = Icon
		' //set the return object for the notification object (n1) in this service
		'n2.Cancel(n2ID)
		'Return  nb.GetNotification 'nb.GetNotification
		Return  nb.GetNotification
	Else
		n2.Initialize
		n2.Light = False
		n2.Vibrate = False
		n2.Sound = False
		n2.OnGoingEvent = True
		n2.Icon = Icon
		n2.SetInfo(Title, Content, TargetActivity)		
		'n2.Cancel(n2ID)
		Return n2
	End If
End Sub
	
	
	
	
	
	
	

Sub NotifyIcon(Visible As Boolean)

'	Dim N As NotificationBuilder
'	If Visible = True Then
'		N.Initialize
'		N.SmallIcon = "iconnotify"
'		N.DefaultVibrate = False
'		N.ContentTitle = "Test"
'		N.ContentText = "Test State"
'		N.CustomSound = ""
'		N.DefaultLight = False		
'		N.AutoCancel = True
'		N.OnGoingEvent = False
'		N.ShowTime = False
'		N.AddAction("stopap","Test Button State","StopAp",Main)
'		N.setActivity(Main)
'		N.Notify(1)
'		N.Priority = 1000
'		'N.Cancel(1)		
'		Service.StartForeground(1,N.GetNotification)
'		Service.StopAutomaticForeground
'	Else
'		N.Initialize
'		N.DefaultVibrate = False
'		N.CustomSound = ""		
'		N.AutoCancel = False
'		N.Notify(1)
'		N.Cancel(1)		
'		Service.StopForeground(1)
'	End If

End Sub